
package knapsack;

/**
 * Item inventory.
 *
 * @author	Copyright (C) 2002 Alessandro Bollini
 */
public class Inventory {

	private final Item[] items=new Item[]{
		new Item("item0", 3, 3, 20),
		new Item("item1", 8, 2, 100),
		new Item("item2", 6, 4, 30),
		new Item("item3", 3, 6, 70),
		new Item("item4", 2, 10, 80),
		new Item("item5", 5, 2, 50),
		new Item("item6", 8, 7, 60),
		new Item("item7", 4, 3, 60),
		new Item("item8", 2, 5, 50),
		new Item("item9", 4, 6, 80),
		new Item("item10", 7, 6, 70),
		new Item("item11", 7, 6, 60),
		new Item("item12", 1, 9, 60),
		new Item("item13", 5, 4, 20),
		new Item("item14", 4, 6, 70),
		new Item("item15", 6, 2, 10),
		new Item("item16", 7, 3, 80),
		new Item("item17", 2, 6, 70),
		new Item("item18", 1, 1, 30),
		new Item("item19", 5, 3, 70),
		new Item("item20", 4, 8, 40),
		new Item("item21", 4, 8, 80),
		new Item("item22", 4, 9, 70),
		new Item("item23", 4, 2, 90),
		new Item("item24", 3, 6, 80),
		new Item("item25", 3, 7, 40),
		new Item("item26", 3, 10, 40),
		new Item("item27", 2, 4, 80),
		new Item("item28", 6, 10, 70),
		new Item("item29", 8, 2, 40),
		new Item("item30", 6, 5, 10),
		new Item("item31", 4, 2, 80),
		new Item("item32", 6, 7, 80),
		new Item("item33", 6, 6, 30),
		new Item("item34", 5, 3, 60),
		new Item("item35", 6, 5, 20),
		new Item("item36", 2, 3, 30),
		new Item("item37", 4, 2, 20),
		new Item("item38", 6, 8, 90),
		new Item("item39", 8, 3, 30),
		new Item("item40", 7, 7, 20),
		new Item("item41", 3, 8, 70),
		new Item("item42", 6, 3, 60),
		new Item("item43", 8, 6, 10),
		new Item("item44", 8, 5, 80),
		new Item("item45", 6, 4, 60),
		new Item("item46", 2, 6, 60),
		new Item("item47", 2, 5, 50),
		new Item("item48", 2, 9, 20),
		new Item("item49", 2, 4, 40),
		new Item("item50", 3, 3, 70),
		new Item("item51", 3, 10, 90),
		new Item("item52", 2, 5, 20),
		new Item("item53", 2, 4, 30),
		new Item("item54", 8, 6, 80),
		new Item("item55", 2, 4, 90),
		new Item("item56", 5, 10, 30),
		new Item("item57", 4, 9, 50),
		new Item("item58", 4, 8, 70),
		new Item("item59", 4, 8, 90),
		new Item("item60", 5, 7, 60),
		new Item("item61", 2, 7, 60),
		new Item("item62", 6, 6, 80),
		new Item("item63", 4, 2, 40),
		new Item("item64", 2, 4, 100),
		new Item("item65", 4, 3, 90),
		new Item("item66", 1, 2, 20),
		new Item("item67", 2, 8, 40),
		new Item("item68", 2, 9, 50),
		new Item("item69", 4, 2, 50),
		new Item("item70", 6, 6, 100),
		new Item("item71", 7, 10, 60),
		new Item("item72", 7, 5, 20),
		new Item("item73", 7, 7, 30),
		new Item("item74", 2, 7, 90),
		new Item("item75", 1, 9, 70),
		new Item("item76", 3, 4, 50),
		new Item("item77", 5, 5, 100),
		new Item("item78", 1, 4, 30),
		new Item("item79", 6, 10, 50),
		new Item("item80", 2, 7, 50),
		new Item("item81", 1, 10, 20),
		new Item("item82", 5, 4, 90),
		new Item("item83", 5, 4, 100),
		new Item("item84", 7, 9, 10),
		new Item("item85", 6, 4, 20),
		new Item("item86", 7, 5, 20),
		new Item("item87", 5, 2, 40),
		new Item("item88", 4, 5, 20),
		new Item("item89", 8, 3, 30),
		new Item("item90", 6, 5, 40),
		new Item("item91", 7, 7, 40),
		new Item("item92", 5, 4, 10),
		new Item("item93", 2, 3, 80),
		new Item("item94", 7, 6, 90),
		new Item("item95", 6, 6, 20),
		new Item("item96", 3, 3, 60),
		new Item("item97", 4, 3, 90),
		new Item("item98", 6, 7, 40),
		new Item("item99", 4, 6, 60)
	};


	public int getSize() {
		return items.length;
	}

	public Item getItem(final int n) {
		return items[n];
	}
}
